<!DOCTYPE html>
<html>
  <head>
      <link rel="icon" type="image/svg+xml" href="favicon.svg?v=2">
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/icon?family=Material+Icons"
    />
    <link
      rel="stylesheet"
      href="https://code.getmdl.io/1.3.0/material.light_blue-deep_purple.min.css"
    />
    <link rel="stylesheet" href="jquery-ui.min.css" />
    <script defer src="https://code.getmdl.io/1.3.0/material.min.js"></script>
    <script src="jquery-3.3.1.min.js"></script>
    <script defer src="jQueryColorPicker.min.js"></script>
    <script defer src="col.js"></script>
    <script src="jquery-ui.min.js"></script>
    <script src="jquery.ui.sortable-animation.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <style>
      body {
        background-color: rgb(18, 18, 18);
      }
      .custom-content {
        border-radius: 2px;
        padding: 6px 34px;
        padding-bottom: 34px;
      }
      .no-padding {
        padding: 0px;
      }
      .text-list {
        overflow: auto;
        height: 250px;
      }
      .center-content {
        display: flex;
        align-items: center;
        justify-content: center;
      }
      .is-hidden {
        display: none;
      }
      .mdl-switch__label,
      .mdl-switch__label,
      .mdl-textfield__input,
      h1,
      h3,
      h6 {
        color: white;
      }
      .mdl-textfield__label {
        color: rgba(255, 255, 255, 0.65);
      }
      .mdl-navigation__link {
        color: rgb(62, 166, 255);
      }
      .mdl-textfield__input {
        border-bottom: 1px solid rgba(255, 255, 255, 0.65);
      }
      .mdl-switch__track {
        background: rgba(255, 255, 255, 0.26);
      }
      .is-good {
        color: lime;
      }
      .is-bad {
        color: red;
      }
      .unsupported-1,
        .unsupported-2 {
          display: none;
        }
      @media only screen and (max-width: 1023px) {
        .main-content {
          display: none;
        }
        .unsupported-1 {
          display: block;
        }
      }
      @media (pointer:none), (pointer:coarse) {
        .main-content {
          display: none;
        }
        .unsupported-2 {
          display:block;
        }
      }
    </style>
  </head>
  <body>
    <div class="unsupported-1" style="text-align: center"><h1>Unsupported resolution!</h1></div>
    <div class="unsupported-2" style="text-align: center"><h1>Touch is unsupported!</h1></div>
    <div class="mdl-layout mdl-js-layout main-content">
      <div class="mdl-grid" style="margin: auto 0">
        <div class="mdl-cell mdl-cell--3-col">
          <label
            class="mdl-switch mdl-js-switch"
            for="rainbow-only"
            id="rainbow-only-label"
          >
            <input
              type="checkbox"
              id="rainbow-only"
              class="mdl-switch__input"
            />
            <span class="mdl-switch__label">Rainbow only mode</span>
          </label>
          <div
            class="mdl-tooltip mdl-tooltip--large"
            data-mdl-for="rainbow-only-label"
          >
            I don't need no fancy coloring features! Gimme rainbows!
          </div>
          <label
            class="mdl-switch mdl-js-switch"
            for="fix-initial"
            id="fix-initial-label"
          >
            <input type="checkbox" id="fix-initial" class="mdl-switch__input" />
            <span class="mdl-switch__label">Fix initial</span>
          </label>
          <div
            class="mdl-tooltip mdl-tooltip--large"
            data-mdl-for="fix-initial-label"
          >
            if you don't set a color and some random color, like your team color
            is applied instead, use this
          </div>
          <label
            class="mdl-switch mdl-js-switch"
            for="apply-colon"
            id="apply-colon-label"
          >
            <input type="checkbox" id="apply-colon" class="mdl-switch__input" />
            <span class="mdl-switch__label">Apply colon prefix</span>
          </label>
          <div
            class="mdl-tooltip mdl-tooltip--large"
            data-mdl-for="apply-colon-label"
          >
            prefixes ": " to the text to mimic a normal chat, useful for use
            with sm_me, also use Fix initial if you use sm_me!
          </div>
          <h6>Tip: if you're not in rainbow only mode, you can drag the items in the list around!</h6>
        </div>
        <div
          class="custom-content mdl-cell mdl-cell--9-col"
          style="height:600px"
        >
          <div class="mdl-grid no-padding">
            <div class="mdl-cell mdl-cell--10-col">
              <h3 style="margin: 0px 0px -4px 0px">in-game Text Colorizer</h3>
            </div>
            <div class="mdl-cell mdl-cell--2-col">
              <button
                class="mdl-button mdl-js-button mdl-button--raised
                mdl-js-ripple-effect mdl-button--accent"
                id="addbutton"
              >
                add
              </button>
            </div>
          </div>
          <ul class="mdl-list text-list" id="text-list"></ul>
          <form class="is-hidden" id="rainbow-only-form">
            <div
              class="mdl-textfield mdl-js-textfield
              mdl-textfield--floating-label"
              style="width: 100%;"
            >
              <input
                class="mdl-textfield__input"
                type="text"
                id="rainbow-only-input"
              />
              <label class="mdl-textfield__label" for="rainbow-only-input"
                >Text</label
              >
            </div>
          </form>
          <div id="result"></div>
          <form>
            <div class="mdl-textfield mdl-js-textfield" style="width: 100%">
              <h6>
                Output
                <div class="is-good" id="charcount">23/129 chars</div>
              </h6>
              <textarea
                class="mdl-textfield__input"
                type="text"
                id="output"
                readonly
              ></textarea>
              <label class="mdl-textfield__label" for="output"></label>
            </div>
          </form>
          <h6>
            Made by
            <a
              class="mdl-navigation__link"
              href="http://steamcommunity.com/profiles/76561198138543765"
              >Lighty</a
            >
            with rainbow generation code from
            <a
              class="mdl-navigation__link"
              href="https://www.stuffbydavid.com/textcolorizer"
              >David</a
            >!
          </h6>
        </div>
      </div>
    </div>
  </body>
</html>
